# class Cairo::ScriptDevice

### Public Instance Methods

mode() click to toggle source

    static VALUE
    cr_script_device_get_mode (VALUE self)
    {
      return INT2NUM (cairo_script_get_mode (_SELF));
    }

reply(p1) click to toggle source

    static VALUE
    cr_script_device_reply (VALUE self, VALUE recording_surface)
    {
      cairo_device_t *device;

      device = _SELF;
      cairo_script_from_recording_surface (device,
                                           RVAL2CRSURFACE (recording_surface));
      cr_device_check_status (device);
      return Qnil;
    }

set_mode(p1) click to toggle source

    static VALUE
    cr_script_device_set_mode (VALUE self, VALUE mode)
    {
      cairo_device_t *device;

      device = _SELF;
      cairo_script_set_mode (device, RVAL2CRSCRIPTMODE (mode));
      cr_device_check_status (device);
      return Qnil;
    }

write_comment(p1) click to toggle source

    static VALUE
    cr_script_device_write_comment (VALUE self, VALUE comment)
    {
      cairo_device_t *device;

      device = _SELF;
      cairo_script_write_comment (device,
                                  StringValuePtr (comment),
                                  RSTRING_LEN (comment));
      cr_device_check_status (device);
      return Qnil;
    }